Bug 1279819 - Instruction wizard "Content Host Registration" is incomplete
Instruction wizard "Content Host Registration" is incomplete
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.1.1
Unspecified Unspecified
medium Severity medium (vote)
: GA
: 6.2
Assigned To: satellite6-bugs
Katello QA List
: Triaged, UserExperience
Depends On:
Blocks: 1279901
  Show dependency treegraph
 
Reported: 2015-11-10 07:01 EST by Stephen Wadeley
Modified: 2017-08-01 16:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1279901 (view as bug list)
Environment:
Last Closed: 2017-08-01 16:33:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Wadeley 2015-11-10 07:01:37 EST
Description of problem:

Instruction wizard "Content Host Registration" leaves out steps to attach a subscription and enable repos.

Step 4 says install katello-agent which you 
cannot do as you have no repos at that point.

If you chose to use an activation key:
Step 3 assumes that your activation key provides access
to a subscription & content view (or has auto-attach set to 'True').
Otherwise, there step 4 would not work.

If you chose not to use an activation key:
You still need to attach a subscription and enable some repos.

Version-Release number of selected component (if applicable):
[root@rhel7-1-sat6 ~]# rpm -q katello
katello-2.2.0.16-1.el7sat.noarch
[root@rhel7-1-sat6 ~]# rpm -q foreman
foreman-1.7.2.43-1.el7sat.noarch


How reproducible:
Every time.

Steps to Reproduce:
1. Click Hosts → Content Hosts and then click Register Content Host. 


Actual results:

1. Select a Content Source:
[drop-down list of content sources]

2. Install the pre-built bootstrap RPM:
rpm -Uvh http://capsuleserver.example.com/pub/katello-ca-consumer-latest.noarch.rpm

3. Run subscription-manager in a console on the client host. You may use an Activation Key to register:
subscription-manager register --org="The_Demo_Org" --activationkey="activationkey1"

or authenticate with a username and password:
subscription-manager register --org="The_Demo_Org" --environment="Library"

4. Install katello-agent for remote actions and displaying errata information:
yum -y install katello-agent

Expected results:

1. Select a Content Source:
[drop-down list of content sources]

2. Install the pre-built bootstrap RPM:
rpm -Uvh http://capsuleserver.example.com/pub/katello-ca-consumer-latest.noarch.rpm

3. Run subscription-manager in a console on the client host. You can use an Activation Key to register:
subscription-manager register --org="<The_Demo_Org>" --activationkey="<activationkey1>"

or authenticate with a username and password:
subscription-manager register --org="<The_Demo_Org>" --environment="Library"

4. Attach a subscription:
subscription-manager list --available --all
subscription-manager attach --pool=<pool_ID>

5. Enable repositories:
subscription-manager repos --enable=<repository-to-be-enabled>

6. Install katello-agent for remote actions and displaying errata information:
yum -y install katello-agent


Additional info:

Please do not use "may" as it is sometimes used ambiguously to mean "might" as in "might happen". Use "can" to indicate that something is allowed, can be done.
Comment 2 Stephen Wadeley 2015-11-10 07:50:59 EST
Will clone for the Installation Guide
Comment 8 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 9 Bryan Kearney 2016-07-26 11:38:38 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 11 Stephen Wadeley 2017-03-22 15:18:50 EDT
Hello

Further to comment 0

For step 5 I think first say:

To list available repositories:
subscription-manager repos --list

then say:
subscription-manager repos --enable=<repository-to-be-enabled>


Thank you
Comment 12 Stephen Wadeley 2017-07-24 10:49:37 EDT
Hello

Please also change this:

Install the pre-built bootstrap RPM:

The term "bootstrap" is not appropriate.

Try: 

Install the Satellite Server subscription and certificate file:

Thank you
Comment 13 Bryan Kearney 2017-08-01 16:33:01 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.